pacemaker_1.1.7-1_amd64.deb


Advertisement

Description

pacemaker - HA cluster resource manager

Distribution: Debian 7 (Wheezy)
Repository: Debian Main amd64
Package name: pacemaker
Package version: 1.1.7
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 2.27 KB
Download size: 740.31 KB
Official Mirror: ftp.br.debian.org
High-Availability cluster resource manager for Heartbeat as well as Corosync. Pacemaker supports a very sophisticated dependency model for n-node clusters and can respond to node and resource-level failures. It supports both the Heartbeat and Corosync cluster stacks.

Alternatives

Conflicts

  • pacemaker-heartbeat
  • pacemaker-openais

Replaces

  • pacemaker-heartbeat
  • pacemaker-openais

    Download

    Source package: pacemaker

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install pacemaker deb package:
      # sudo apt-get install pacemaker

    Files

    • /etc/init.d/pacemaker
    • /usr/bin/ccs2cib
    • /usr/bin/ccs_flatten
    • /usr/bin/disable_rgmanager
    • /usr/lib/heartbeat/attrd
    • /usr/lib/heartbeat/cib
    • /usr/lib/heartbeat/crmd
    • /usr/lib/heartbeat/pengine
    • /usr/lib/heartbeat/stonithd
    • /usr/lib/heartbeat/plugins/RAExec/stonith.a
    • /usr/lib/heartbeat/plugins/RAExec/stonith.la
    • /usr/lib/heartbeat/plugins/RAExec/stonith.so
    • /usr/lib/lcrso/pacemaker.lcrso
    • /usr/lib/ocf/resource.d/pacemaker/ClusterMon
    • /usr/lib/ocf/resource.d/pacemaker/Dummy
    • /usr/lib/ocf/resource.d/pacemaker/HealthCPU
    • /usr/lib/ocf/resource.d/pacemaker/HealthSMART
    • /usr/lib/ocf/resource.d/pacemaker/Stateful
    • /usr/lib/ocf/resource.d/pacemaker/SysInfo
    • /usr/lib/ocf/resource.d/pacemaker/SystemHealth
    • /usr/lib/ocf/resource.d/pacemaker/controld
    • /usr/lib/ocf/resource.d/pacemaker/o2cb
    • /usr/lib/ocf/resource.d/pacemaker/ping
    • /usr/lib/ocf/resource.d/pacemaker/pingd
    • /usr/lib/pacemaker/attrd
    • /usr/lib/pacemaker/cib
    • /usr/lib/pacemaker/cibmon
    • /usr/lib/pacemaker/crm_primitive.py
    • /usr/lib/pacemaker/crmd
    • /usr/lib/pacemaker/hb2openais-helper.py
    • /usr/lib/pacemaker/hb2openais.sh
    • /usr/lib/pacemaker/pengine
    • /usr/lib/pacemaker/stonith-test
    • /usr/lib/pacemaker/stonithd
    • /usr/lib/python2.6/dist-packages/crm/__init__.py
    • /usr/lib/python2.6/dist-packages/crm/cache.py
    • /usr/lib/python2.6/dist-packages/crm/cibconfig.py
    • /usr/lib/python2.6/dist-packages/crm/cibstatus.py
    • /usr/lib/python2.6/dist-packages/crm/clidisplay.py
    • /usr/lib/python2.6/dist-packages/crm/cliformat.py
    • /usr/lib/python2.6/dist-packages/crm/completion.py
    • /usr/lib/python2.6/dist-packages/crm/help.py
    • /usr/lib/python2.6/dist-packages/crm/idmgmt.py
    • /usr/lib/python2.6/dist-packages/crm/levels.py
    • /usr/lib/python2.6/dist-packages/crm/main.py
    • /usr/lib/python2.6/dist-packages/crm/msg.py
    • /usr/lib/python2.6/dist-packages/crm/parse.py
    • /usr/lib/python2.6/dist-packages/crm/ra.py
    • /usr/lib/python2.6/dist-packages/crm/singletonmixin.py
    • /usr/lib/python2.6/dist-packages/crm/template.py
    • /usr/lib/python2.6/dist-packages/crm/term.py
    • /usr/lib/python2.6/dist-packages/crm/ui.py
    • /usr/lib/python2.6/dist-packages/crm/userprefs.py
    • /usr/lib/python2.6/dist-packages/crm/utils.py
    • /usr/lib/python2.6/dist-packages/crm/vars.py
    • /usr/lib/python2.6/dist-packages/crm/xmlutil.py
    • /usr/lib/python2.6/dist-packages/cts/CIB.py
    • /usr/lib/python2.6/dist-packages/cts/CM_ais.py
    • /usr/lib/python2.6/dist-packages/cts/CM_lha.py
    • /usr/lib/python2.6/dist-packages/cts/CTS.py
    • /usr/lib/python2.6/dist-packages/cts/CTSaudits.py
    • /usr/lib/python2.6/dist-packages/cts/CTSscenarios.py
    • /usr/lib/python2.6/dist-packages/cts/CTStests.py
    • /usr/lib/python2.6/dist-packages/cts/CTSvars.py
    • /usr/lib/python2.6/dist-packages/cts/__init__.py
    • /usr/lib/python2.7/dist-packages/crm/__init__.py
    • /usr/lib/python2.7/dist-packages/crm/cache.py
    • /usr/lib/python2.7/dist-packages/crm/cibconfig.py
    • /usr/lib/python2.7/dist-packages/crm/cibstatus.py
    • /usr/lib/python2.7/dist-packages/crm/clidisplay.py
    • /usr/lib/python2.7/dist-packages/crm/cliformat.py
    • /usr/lib/python2.7/dist-packages/crm/completion.py
    • /usr/lib/python2.7/dist-packages/crm/help.py
    • /usr/lib/python2.7/dist-packages/crm/idmgmt.py
    • /usr/lib/python2.7/dist-packages/crm/levels.py
    • /usr/lib/python2.7/dist-packages/crm/main.py
    • /usr/lib/python2.7/dist-packages/crm/msg.py
    • /usr/lib/python2.7/dist-packages/crm/parse.py
    • /usr/lib/python2.7/dist-packages/crm/ra.py
    • /usr/lib/python2.7/dist-packages/crm/singletonmixin.py
    • /usr/lib/python2.7/dist-packages/crm/template.py
    • /usr/lib/python2.7/dist-packages/crm/term.py
    • /usr/lib/python2.7/dist-packages/crm/ui.py
    • /usr/lib/python2.7/dist-packages/crm/userprefs.py
    • /usr/lib/python2.7/dist-packages/crm/utils.py
    • /usr/lib/python2.7/dist-packages/crm/vars.py
    • /usr/lib/python2.7/dist-packages/crm/xmlutil.py
    • /usr/lib/python2.7/dist-packages/cts/CIB.py
    • /usr/lib/python2.7/dist-packages/cts/CM_ais.py
    • /usr/lib/python2.7/dist-packages/cts/CM_lha.py
    • /usr/lib/python2.7/dist-packages/cts/CTS.py
    • /usr/lib/python2.7/dist-packages/cts/CTSaudits.py
    • /usr/lib/python2.7/dist-packages/cts/CTSscenarios.py
    • /usr/lib/python2.7/dist-packages/cts/CTStests.py
    • /usr/lib/python2.7/dist-packages/cts/CTSvars.py
    • /usr/lib/python2.7/dist-packages/cts/__init__.py
    • /usr/sbin/attrd_updater
    • /usr/sbin/cibadmin
    • /usr/sbin/cibpipe
    • /usr/sbin/crm
    • /usr/sbin/crm_attribute
    • /usr/sbin/crm_diff
    • /usr/sbin/crm_failcount
    • /usr/sbin/crm_master
    • /usr/sbin/crm_mon
    • /usr/sbin/crm_node
    • /usr/sbin/crm_report
    • /usr/sbin/crm_resource
    • /usr/sbin/crm_shadow
    • /usr/sbin/crm_simulate
    • /usr/sbin/crm_standby
    • /usr/sbin/crm_ticket
    • /usr/sbin/crm_uuid
    • /usr/sbin/crm_verify
    • /usr/sbin/crmadmin
    • /usr/sbin/fence_legacy
    • /usr/sbin/fence_pcmk
    • /usr/sbin/iso8601
    • /usr/sbin/pacemakerd
    • /usr/sbin/ptest
    • /usr/sbin/stonith_admin
    • /usr/share/doc/pacemaker/AUTHORS
    • /usr/share/doc/pacemaker/README.hb2openais.gz
    • /usr/share/doc/pacemaker/acls.txt.gz
    • /usr/share/doc/pacemaker/changelog.Debian.gz
    • /usr/share/doc/pacemaker/changelog.gz
    • /usr/share/doc/pacemaker/copyright
    • /usr/share/doc/pacemaker/crm_fencing.txt.gz
    • /usr/share/lintian/overrides/pacemaker
    • /usr/share/man/man7/crmd.7.gz
    • /usr/share/man/man7/ocf_pacemaker_ClusterMon.7.gz
    • /usr/share/man/man7/ocf_pacemaker_Dummy.7.gz
    • /usr/share/man/man7/ocf_pacemaker_HealthCPU.7.gz
    • /usr/share/man/man7/ocf_pacemaker_HealthSMART.7.gz
    • /usr/share/man/man7/ocf_pacemaker_Stateful.7.gz
    • /usr/share/man/man7/ocf_pacemaker_SysInfo.7.gz
    • /usr/share/man/man7/ocf_pacemaker_SystemHealth.7.gz
    • /usr/share/man/man7/ocf_pacemaker_controld.7.gz
    • /usr/share/man/man7/ocf_pacemaker_o2cb.7.gz
    • /usr/share/man/man7/ocf_pacemaker_ping.7.gz
    • /usr/share/man/man7/ocf_pacemaker_pingd.7.gz
    • /usr/share/man/man7/pengine.7.gz
    • /usr/share/man/man7/stonithd.7.gz
    • /usr/share/man/man8/attrd_updater.8.gz
    • /usr/share/man/man8/cibadmin.8.gz
    • /usr/share/man/man8/crm_attribute.8.gz
    • /usr/share/man/man8/crm_diff.8.gz
    • /usr/share/man/man8/crm_failcount.8.gz
    • /usr/share/man/man8/crm_master.8.gz
    • /usr/share/man/man8/crm_mon.8.gz
    • /usr/share/man/man8/crm_node.8.gz
    • /usr/share/man/man8/crm_report.8.gz
    • /usr/share/man/man8/crm_resource.8.gz
    • /usr/share/man/man8/crm_shadow.8.gz
    • /usr/share/man/man8/crm_simulate.8.gz
    • /usr/share/man/man8/crm_standby.8.gz
    • /usr/share/man/man8/crm_ticket.8.gz
    • /usr/share/man/man8/crm_uuid.8.gz
    • /usr/share/man/man8/crm_verify.8.gz
    • /usr/share/man/man8/crmadmin.8.gz
    • /usr/share/man/man8/fence_legacy.8.gz
    • /usr/share/man/man8/fence_pcmk.8.gz
    • /usr/share/man/man8/iso8601.8.gz
    • /usr/share/man/man8/pacemakerd.8.gz
    • /usr/share/man/man8/ptest.8.gz
    • /usr/share/man/man8/stonith_admin.8.gz
    • /usr/share/pacemaker/acls-1.1.rng
    • /usr/share/pacemaker/acls-1.2.rng
    • /usr/share/pacemaker/cluconf2cib.xsl
    • /usr/share/pacemaker/constraints-1.0.rng
    • /usr/share/pacemaker/constraints-1.1.rng
    • /usr/share/pacemaker/constraints-1.2.rng
    • /usr/share/pacemaker/crm-transitional.dtd
    • /usr/share/pacemaker/crm.8.txt
    • /usr/share/pacemaker/crm.dtd
    • /usr/share/pacemaker/fencing.rng
    • /usr/share/pacemaker/nvset.rng
    • /usr/share/pacemaker/pacemaker-1.0.rng
    • /usr/share/pacemaker/pacemaker-1.1.rng
    • /usr/share/pacemaker/pacemaker-1.2.rng
    • /usr/share/pacemaker/pacemaker.rng
    • /usr/share/pacemaker/report.collector
    • /usr/share/pacemaker/report.common
    • /usr/share/pacemaker/resources-1.0.rng
    • /usr/share/pacemaker/resources-1.1.rng
    • /usr/share/pacemaker/resources-1.2.rng
    • /usr/share/pacemaker/rule.rng
    • /usr/share/pacemaker/score.rng
    • /usr/share/pacemaker/upgrade06.xsl
    • /usr/share/pacemaker/versions.rng
    • /usr/share/pacemaker/templates/apache
    • /usr/share/pacemaker/templates/clvm
    • /usr/share/pacemaker/templates/filesystem
    • /usr/share/pacemaker/templates/gfs2
    • /usr/share/pacemaker/templates/gfs2-base
    • /usr/share/pacemaker/templates/ocfs2
    • /usr/share/pacemaker/templates/sbd
    • /usr/share/pacemaker/templates/virtual-ip
    • /usr/share/pyshared/crm/__init__.py
    • /usr/share/pyshared/crm/cache.py
    • /usr/share/pyshared/crm/cibconfig.py
    • /usr/share/pyshared/crm/cibstatus.py
    • /usr/share/pyshared/crm/clidisplay.py
    • /usr/share/pyshared/crm/cliformat.py
    • /usr/share/pyshared/crm/completion.py
    • /usr/share/pyshared/crm/help.py
    • /usr/share/pyshared/crm/idmgmt.py
    • /usr/share/pyshared/crm/levels.py
    • /usr/share/pyshared/crm/main.py
    • /usr/share/pyshared/crm/msg.py
    • /usr/share/pyshared/crm/parse.py
    • /usr/share/pyshared/crm/ra.py
    • /usr/share/pyshared/crm/singletonmixin.py
    • /usr/share/pyshared/crm/template.py
    • /usr/share/pyshared/crm/term.py
    • /usr/share/pyshared/crm/ui.py
    • /usr/share/pyshared/crm/userprefs.py
    • /usr/share/pyshared/crm/utils.py
    • /usr/share/pyshared/crm/vars.py
    • /usr/share/pyshared/crm/xmlutil.py
    • /usr/share/pyshared/cts/CIB.py
    • /usr/share/pyshared/cts/CM_ais.py
    • /usr/share/pyshared/cts/CM_lha.py
    • /usr/share/pyshared/cts/CTS.py
    • /usr/share/pyshared/cts/CTSaudits.py
    • /usr/share/pyshared/cts/CTSscenarios.py
    • /usr/share/pyshared/cts/CTStests.py
    • /usr/share/pyshared/cts/CTSvars.py
    • /usr/share/pyshared/cts/__init__.py
    • /usr/share/python/runtime.d/pacemaker.rtupdate
    • /usr/share/snmp/mibs/PCMK-MIB.txt

    Changelog

    2012-04-17 - Martin Loschwitz <madkiss@debian.org> pacemaker (1.1.7-1) unstable; urgency=low * New upstream revision (Pacemaker 1.1.7) * debian/libcrmcommon2-dev.install, debian/pacemaker.install: Numerous additions and removals caused by the recent file reorganization done by upstream * debian/control: Build-Conflict with libqb-dev

    2011-10-20 - Martin Loschwitz <madkiss@debian.org> pacemaker (1.1.6-2) unstable; urgency=low * Adopted numerous changes from the Ubuntu packages, implemented by Andres Rodriguez to make co-maintaining these packages in Ubuntu and Debian a bit easier.

    2011-10-19 - Martin Loschwitz <madkiss@debian.org> pacemaker (1.1.6-1) unstable; urgency=low * New upstream version 1.1.6

    2011-08-26 - Martin Loschwitz <madkiss@debian.org> pacemaker (1.1.5-3) unstable; urgency=low * debian/control: Really fix the issue with conflicting files this time, esp. for libstonithd1-dev vs. libstonithd0-dev (Closes: #639272)

    2011-08-26 - Martin Loschwitz <madkiss@debian.org> pacemaker (1.1.5-2) unstable; urgency=low * debian/control: Fix the Replaces: and Conflicts: for libpe-status3-dev to make sure there are no conflicting files with libpe-status2-dev (Closes: #639270)

    2011-08-24 - Martin Loschwitz <madkiss@debian.org> pacemaker (1.1.5-1) unstable; urgency=low [ Martin G. Loschwitz ] * New upstream release. Packaging is based largely on the Ubuntu package created by Andres Rodriguez. Thank you for the cool work! * Changing Ubuntu specific entries so that they become compatible with the Debian System * Bump Standards-Version -- no changes were necessary in the package * Fix magic for repairing dependency_libs problem [ Andres Rodriguez ] * debian/patches: - debian/patches/raexecupstart.patch: Refreshed. * debian/control: - Build-Depends on xsltproc, docbook-xsl, resource-agents-dev. - Bump libpe-status2 to libpe-status3 - Bump libstonithd0 to libstonithd1 - Depends on resource-agents. * debian/libpe-status2{-dev}.install: Rename to libpe-status3{-dev}.install * debian/libstonithd0{-dev}.install: Rename to libstonithd1{-dev}.install * debian/clean: Do not clean nvset.rng and rule.rng. * debian/pacemaker.install: - Add missing binaries, manpages and files. - Drop files no longer needed. - Change nvset-1.0.rng to nvset.rng and rule-1.0.rng to rule.rng. * debian/pacemaker.manpages: No longer needed. * debian/libstonithd1-dev.install: Remove files that no longer exist * debian/libcrmcluster1-dev.install: Add missing header. * debian/libpe-status3.install: Update version in file. * debian/libstonithd1.install: Update version in file. * debian/pacemaker-dev.install: Do not install *.pyc or *.pyo files * debian/rules: Change from --fail-missing to --list-missing to not fail when *.pyc or *.pyo files are not installed. * Switch from dh_pycentral to dh_python2. * debian/pacemaker.postinst: Remove pycentral pkginstall rule.

    2011-06-05 - Luk Claes <luk@debian.org> pacemaker (1.0.11-1.2) unstable; urgency=low * Non-maintainer upload. * Don't install python bytecode so the upload gets accepted to the archive

    2011-05-31 - Luk Claes <luk@debian.org> pacemaker (1.0.11-1.1) unstable; urgency=low * Non-maintainer upload. * Remove references to other libraries from dependency_libs field (Closes: #619552).

    2011-05-22 - Martin Loschwitz <madkiss@debian.org> pacemaker (1.0.11-1) unstable; urgency=low [ Martin G. Loschwitz ] * New upstream version

    2011-04-20 - Martin Loschwitz <madkiss@debian.org> pacemaker (1.0.10-6) unstable; urgency=low [ Martin G. Loschwitz ] * Added Build-Depends on libxml2-dev and help2man, kudos go to Florian Haas for pointing this out. * Replaced the lines in debian/rules to wipe dependency_libs from .la files with Steve Langasek's version (Closes: #619552) * Remove ancient leftovers from debian/rules file, again kudos to Florian Haas

    Advertisement
    Advertisement